ST_TRI
Prev | 12.14. Raster Processing: DEM (Elevation) | Next

## Name

ST_TRI — Returns a raster with the calculated Terrain Ruggedness Index.

## Synopsis

`raster ST_TRI(`raster rast, integer nband, raster customextent, text pixeltype="32BF" , boolean interpolate_nodata=FALSE `)`;

## Description

Terrain Ruggedness Index is calculated by comparing a central pixel with its neighbors, taking the absolute values of the differences, and averaging the result.

This function only supports a focalmean radius of one.

Availability: 2.1.0

## Examples

    -- needs examples

## See Also

ST_MapAlgebra (callback function version), ST_Roughness, ST_TPI, ST_Slope, ST_HillShade, ST_Aspect

Prev | Up | Next
ST_TPI | Home | Box3D